Package relaxngcc.parser.state

# Interface NGCCEventSource

All Known Implementing Classes:
  `IncludeParserRuntime`, `NGCCInterleaveFilter`, `NGCCRuntime`, `ParserRuntime`, `RootParserRuntime`

public interface NGCCEventSource

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Method Summary

Modifier and Type
Method
Description
`int`
`replace(NGCCEventReceiver _old, NGCCEventReceiver _new)`
Replaces an old handler with a new handler, and returns ID of the EventReceiver thread.
`void`
`sendEnterAttribute(int receiverThreadId, String uri, String local, String qname)`
`void`
`sendEnterElement(int receiverThreadId, String uri, String local, String qname, Attributes atts)`
Sends an enter element event to the specified EventReceiver thread.
`void`
`sendLeaveAttribute(int receiverThreadId, String uri, String local, String qname)`
`void`
`sendLeaveElement(int receiverThreadId, String uri, String local, String qname)`
`void`
`sendText(int receiverThreadId, String value)`

## Method Details

### replace

int replace(NGCCEventReceiver _old, NGCCEventReceiver _new)
Replaces an old handler with a new handler, and returns ID of the EventReceiver thread.

### sendEnterElement

void sendEnterElement(int receiverThreadId, String uri, String local, String qname, Attributes atts) throws SAXException
Sends an enter element event to the specified EventReceiver thread.

Throws:
  `SAXException`

### sendLeaveElement

void sendLeaveElement(int receiverThreadId, String uri, String local, String qname) throws SAXException

Throws:
  `SAXException`

### sendEnterAttribute

void sendEnterAttribute(int receiverThreadId, String uri, String local, String qname) throws SAXException

Throws:
  `SAXException`

### sendLeaveAttribute

void sendLeaveAttribute(int receiverThreadId, String uri, String local, String qname) throws SAXException

Throws:
  `SAXException`

### sendText

void sendText(int receiverThreadId, String value) throws SAXException

Throws:
  `SAXException`